## javax.faces.component.html
Class HtmlOutputLink

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.html.HtmlOutputLink

All Implemented Interfaces:
  StateHolder, ValueHolder

public class HtmlOutputLink
extends UIOutput

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIOutput
`COMPONENT_FAMILY`

Constructor Summary
`HtmlOutputLink()`

Method Summary
`java.lang.String` `getAccesskey()`
`java.lang.String` `getCharset()`
`java.lang.String` `getCoords()`
`java.lang.String` `getDir()`
`java.lang.String` `getHreflang()`
`java.lang.String` `getLang()`
`java.lang.String` `getOnblur()`
`java.lang.String` `getOnclick()`
`java.lang.String` `getOndblclick()`
`java.lang.String` `getOnfocus()`
`java.lang.String` `getOnkeydown()`
`java.lang.String` `getOnkeypress()`
`java.lang.String` `getOnkeyup()`
`java.lang.String` `getOnmousedown()`
`java.lang.String` `getOnmousemove()`
`java.lang.String` `getOnmouseout()`
`java.lang.String` `getOnmouseover()`
`java.lang.String` `getOnmouseup()`
`java.lang.String` `getRel()`
`java.lang.String` `getRev()`
`java.lang.String` `getShape()`
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`java.lang.String` `getTabindex()`
`java.lang.String` `getTarget()`
`java.lang.String` `getTitle()`
`java.lang.String` `getType()`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setAccesskey(java.lang.String accesskey)`
`void` `setCharset(java.lang.String charset)`
`void` `setCoords(java.lang.String coords)`
`void` `setDir(java.lang.String dir)`
`void` `setHreflang(java.lang.String hreflang)`
`void` `setLang(java.lang.String lang)`
`void` `setOnblur(java.lang.String onblur)`
`void` `setOnclick(java.lang.String onclick)`
`void` `setOndblclick(java.lang.String ondblclick)`
`void` `setOnfocus(java.lang.String onfocus)`
`void` `setOnkeydown(java.lang.String onkeydown)`
`void` `setOnkeypress(java.lang.String onkeypress)`
`void` `setOnkeyup(java.lang.String onkeyup)`
`void` `setOnmousedown(java.lang.String onmousedown)`
`void` `setOnmousemove(java.lang.String onmousemove)`
`void` `setOnmouseout(java.lang.String onmouseout)`
`void` `setOnmouseover(java.lang.String onmouseover)`
`void` `setOnmouseup(java.lang.String onmouseup)`
`void` `setRel(java.lang.String rel)`
`void` `setRev(java.lang.String rev)`
`void` `setShape(java.lang.String shape)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setTabindex(java.lang.String tabindex)`
`void` `setTarget(java.lang.String target)`
`void` `setTitle(java.lang.String title)`
`void` `setType(java.lang.String type)`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getFamily, getLocalValue, getValue, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlOutputLink

    public HtmlOutputLink()

Method Detail

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### getAccesskey

    public java.lang.String getAccesskey()

### setCharset

    public void setCharset(java.lang.String charset)

### getCharset

    public java.lang.String getCharset()

### setCoords

    public void setCoords(java.lang.String coords)

### getCoords

    public java.lang.String getCoords()

### setDir

    public void setDir(java.lang.String dir)

### getDir

    public java.lang.String getDir()

### setHreflang

    public void setHreflang(java.lang.String hreflang)

### getHreflang

    public java.lang.String getHreflang()

### setLang

    public void setLang(java.lang.String lang)

### getLang

    public java.lang.String getLang()

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnblur

    public java.lang.String getOnblur()

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOnclick

    public java.lang.String getOnclick()

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOnfocus

    public java.lang.String getOnfocus()

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setRel

    public void setRel(java.lang.String rel)

### getRel

    public java.lang.String getRel()

### setRev

    public void setRev(java.lang.String rev)

### getRev

    public java.lang.String getRev()

### setShape

    public void setShape(java.lang.String shape)

### getShape

    public java.lang.String getShape()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### getTabindex

    public java.lang.String getTabindex()

### setTarget

    public void setTarget(java.lang.String target)

### getTarget

    public java.lang.String getTarget()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### setType

    public void setType(java.lang.String type)

### getType

    public java.lang.String getType()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIOutput`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIOutput`